# IllegalPluginAccessException (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.plugin, class: IllegalPluginAccessException

Package org.bukkit.plugin

# Class IllegalPluginAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.IllegalPluginAccessException

All Implemented Interfaces:
  `Serializable`

public class IllegalPluginAccessException extends RuntimeException
Thrown when a plugin attempts to interact with the server when it is not enabled

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalPluginAccessException()`
Creates a new instance of `IllegalPluginAccessException` without detail message.
`IllegalPluginAccessException(String msg)`
Constructs an instance of `IllegalPluginAccessException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalPluginAccessException

public IllegalPluginAccessException()
Creates a new instance of `IllegalPluginAccessException` without detail message.

### IllegalPluginAccessException

public IllegalPluginAccessException(String msg)
Constructs an instance of `IllegalPluginAccessException` with the specified detail message.

Parameters:
  `msg` - the detail message.